Move a task to another project
curl --request PATCH \
--url https://codecobra.ai/api/tasks/{task_id} \
--header 'Content-Type: application/json' \
--data '
{
"auto_fix_ci": true,
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://codecobra.ai/api/tasks/{task_id}"
payload = {
"auto_fix_ci": True,
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({auto_fix_ci: true, project_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://codecobra.ai/api/tasks/{task_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mode": "plan",
"name": "<string>",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "2023-11-07T05:31:56Z",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"app_ready": true,
"auto_fix_ci": false,
"context_pct": 123,
"context_tokens": 123,
"context_window": 123,
"cost_usd": 123,
"github_branch": "<string>",
"has_plan": false,
"machine_url": "<string>",
"plan_version": 123,
"provisioning_error": "<string>",
"pull_requests": [],
"selected_branches": {},
"source_url": "<string>",
"workspace_state": "pending"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Tasks
Move a task to another project
Re-home a task that has not started yet. Only an empty task can move, because its workspace follows the project.
PATCH
/
api
/
tasks
/
{task_id}
Move a task to another project
Path Parameters
Body
application/json
Response
Successful Response
Available options:
plan, build Show child attributes
Show child attributes
Available options:
ready, pending, error